Subject: Re: bug#31728: [PATCH] dmalloc: mark macro as obsolete

From: Karl Berry <[email-masked]>
Date: Sat, 22 Jan 2022 14:44:11 -0700

Sorry, I still disagree with "deprecating" AM_WITH_DMALLOC (or anything
else). My wish would be to add some strong wording in the manual about
how it doesn't do anything especially useful, new code shouldn't use it,
etc., and let it go at that.

I don't argue that AM_WITH_DMALLOC is useful.  But since it has been
there forever, I argue that deprecating it is harmful, in that it causes
gratuitous work for maintainers whose configure.ac's happen to have it.

Having been forced to waste more of my time than I care to think about
because some upstream maintainer decided to "clean up" their interface
or code, and deprecate/remove perfectly fine, or at least not harmful,
macros/functions/options/whatever, I (strongly) don't want to inflict
that on anyone else.

As far as I can see, the only way AM_WITH_DMALLOC will cause any problem
to anyone is if we deprecate/remove it. No one has ever complained about
it outside of this bug, so far as I know. So how about if we save
everyone time and trouble and do nothing to it? -k